#ifdef RCSIDS
static char rcsid[] = "$Id: depthcue.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: depthcue.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: depthcue.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/* depthcue.sl - Standard depthcue volume shader for RenderMan Interface.
 * (c) Copyright 1988, Pixar.
 *
 * The RenderMan (R) Interface Procedures and RIB Protocol are:
 *     Copyright 1988, 1989, Pixar.  All rights reserved.
 * RenderMan (R) is a registered trademark of Pixar.
 */


volume
depthcue (float mindistance = 0, maxdistance = 1;
	  color background = 0;)
{
  float d;

  d = clamp ((depth(P) - mindistance) / (maxdistance - mindistance), 0, 1);
  Ci = mix (Ci, background, d);
}
