#ifdef RCSIDS
static char rcsid[] = "$Id: metal.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: metal.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: metal.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/* metal.sl - Standard metal surface for RenderMan Interface.
 * (c) Copyright 1988, Pixar.
 *
 * The RenderMan (R) Interface Procedures and RIB Protocol are:
 *     Copyright 1988, 1989, Pixar.  All rights reserved.
 * RenderMan (R) is a registered trademark of Pixar.
 */


surface
metal (float Ka = 1;
       float Ks = 1;
       float roughness = .1;)
{
  point Nf, V;
  Nf = faceforward (normalize(N),I);
  V = -normalize(I);

  Oi = Os;
  Ci = Os * Cs * (Ka*ambient() + Ks*specular(Nf,V,roughness));
}

