#ifdef RCSIDS
static char rcsid[] = "$Id: pointlight.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: pointlight.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: pointlight.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/* pointlight.sl - Standard point light source for RenderMan Interface.
 * (c) Copyright 1988, Pixar.
 *
 * The RenderMan (R) Interface Procedures and RIB Protocol are:
 *     Copyright 1988, 1989, Pixar.  All rights reserved.
 * RenderMan (R) is a registered trademark of Pixar.
 */

light
pointlight (float intensity = 1;
	    color lightcolor = 1;
	    point from = point "shader" (0,0,0);)
{
  illuminate (from)
      Cl = intensity * lightcolor / (L . L);
}
